Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.foodsave.kz/llms.txt

Use this file to discover all available pages before exploring further.

Users API

Base path: /api/v1/users

Overview

Manage the current authenticated user profile, favorites and notification preferences.
The delete action is a soft-delete and is used to satisfy privacy and account deletion requirements.
curl --request GET \
	--url https://api.foodsave.kz/api/v1/users/me \
	-H 'Authorization: Bearer $USER_TOKEN'

GET /api/v1/users/me

Return current user profile.
{ "id":"u-1", "foodsaveId":"FS-1001", "phone":"+77001234567", "firstName":"Aruzhan", "avatarUrl":"https://cdn.foodsave.kz/avatars/a.jpg", "locale":"ru-KZ", "active":true }
id
string
foodsaveId
string
active
boolean

PUT /api/v1/users/me

Update current user profile.
{ "id":"u-1", "firstName":"Aruzhan", "lastName":"Kassym" }

DELETE /api/v1/users/me

Soft-delete current user.
{}

GET /api/v1/users/me/foodsave-id

Return the public FoodSave identifier.
{ "foodsaveId":"FS-1001" }

POST /api/v1/users/me/avatar

Set avatar image URL.
{ "id":"u-1", "avatarUrl":"https://cdn.foodsave.kz/avatars/a.jpg" }

Favorites

GET /api/v1/users/me/favorites

[{ "id":"fav-1", "targetType":"BOX", "targetId":"b-1" }]

POST /api/v1/users/me/favorites

Notification preferences

GET /api/v1/users/me/notification-preferences

{ "push": true, "sms": false, "email": true, "marketing": false, "quietHoursStart": "22:00:00", "quietHoursEnd": "08:00:00" }

PUT /api/v1/users/me/notification-preferences